curl https://kliio.app/api/v1/quotes/quo-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/quotes/quo-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0012",
"amount": 3500.00,
"currency": "USD",
"status": "Sent",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"line_items": null,
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"project": null,
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Quote not found"
}
Quotes
Get Quote
Retrieves a single quote by ID.
GET
/
api
/
v1
/
quotes
/
{id}
curl https://kliio.app/api/v1/quotes/quo-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/quotes/quo-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0012",
"amount": 3500.00,
"currency": "USD",
"status": "Sent",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"line_items": null,
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"project": null,
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Quote not found"
}
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
UUID of the quote to retrieve.
Response
object
The quote object, including embedded
client and project.curl https://kliio.app/api/v1/quotes/quo-uuid-... \
-H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch('https://kliio.app/api/v1/quotes/quo-uuid-...', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
})
const { data } = await res.json()
{
"data": {
"id": "quo-uuid-...",
"quote_number": "QUO-0012",
"amount": 3500.00,
"currency": "USD",
"status": "Sent",
"expires_at": "2025-04-30",
"tax_rate": 10,
"description": "E-commerce site build",
"line_items": null,
"client": {
"id": "c1d2e3f4-...",
"name": "Alice Johnson",
"email": "alice@example.com",
"company_name": "Acme Corp"
},
"project": null,
"created_at": "2025-03-15T10:30:00.000Z"
}
}
{
"error": "Quote not found"
}

